//
//  ViewController.swift
//  Img
//
//  Created by cts_mobility10 on 4/5/19.
//  Copyright © 2019 cts_mobility10. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var picImageView: UIImageView!
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func switchStateDidChange(_ sender:UISwitch){
        if (sender.isOn == true){
            print("aspect Fit");
            picImageView.contentMode = .scaleAspectFit
        }
        else{
            print("spect Fill");
            
            picImageView.contentMode = .scaleAspectFill;
        }
        
        
    }
    @IBAction func pickImage(_ sender: Any) {
        
        let imagePicker = UIImagePickerController.init()
        
        imagePicker.delegate = self
        
        imagePicker.sourceType = .photoLibrary
        
        imagePicker.allowsEditing = true;
        
        self.present(imagePicker, animated: true, completion: nil);
    }
}

extension ViewController : UIImagePickerControllerDelegate,UINavigationControllerDelegate{
    
    func imagePickerControllerDidCancel(_ picker: UIImagePickerController) {
        picker.dismiss(animated: true, completion: nil)
    }
    
    func imagePickerController(_ picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [String : Any]) {
        
        if let pickedImage = info[UIImagePickerControllerOriginalImage] as? UIImage {
            picImageView.image = pickedImage;
            
            self.saveImage(image: pickedImage);
            
        }
        picker.dismiss(animated: true, completion: nil)
    }
    
    
    func saveImage(image: UIImage)  {
        guard let data = UIImageJPEGRepresentation(image, 1) ?? UIImagePNGRepresentation(image) else {
            return
        }
        guard let directory = try? FileManager.default.url(for: .documentDirectory, in: .userDomainMask, appropriateFor: nil, create: false) as NSURL else {
            return 
        }
        do {
            try data.write(to: directory.appendingPathComponent("fileName.jpeg")!)
            
            
            print(" check the file path is \( directory.appendingPathComponent("fileName.jpeg"))");
            
            
        } catch {
            print(error.localizedDescription)
            
        }
    }
}

